
Redmine - Feature #2708

Require Category

2009-02-10 16:50 - Brandon Dixon

Status: Closed Start date: 2009-02-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

As of now I am using Redmine to monitor corporate IT. I have one main project and multiple sub-projects (i.e networking, software,

etc.) that users can post tickets to. The problem I have with this is that it doesn't seem like its a correct way of doing things. I would

like to have one project and then have users assign their tickets to categories (i.e networking, software, etc.). The problem now is

that users submit a ticket, but since its a category is not required users won't always fill it out. This leaves me going back and fixing

the mistakes. Is there a way to make the Category value required?

Related issues:

Related to Redmine - Feature #703: Configurable required fields per tracker/s... Closed 2008-02-21

History

#1 - 2009-02-10 23:05 - Eric Davis

I don't use categories that much so if this feature is implemented, making category required should be an optional setting.

#2 - 2009-02-24 15:23 - Nanda P

+1

We have 10+ Projects. For one of project, the manager wants category field as Required.

As Brandon said "When users submit a ticket, they forget to fill the category out". It is time consuming to go through the description of those tickets &

fill the category later.

Another idea: If we can take out the Category field. I can add a custom field called category ;) & make it Required.

I am looking for a temp fix, until we find a solution.

Any suggestions?

Thanks,

Nanda

#3 - 2009-04-09 17:17 - Peter Edstrom

+1

See also #703 and #582 for slightly different takes on this.

We use inbound email, where a category can be defaulted. This is great because the owner of the category is alerted when a new issue is created.

When issues are created in the tool, however, the category is not required and thus no one is guaranteed to be notified of the new issue.

#4 - 2009-04-17 21:09 - Nanda P

- File _form.rhtml added

- File issue.rb added

app\views\issues\_form.rhtml -> Change in line # 27

validates_presence_of :subject, :description, :priority, :category, :project, :tracker, :author, :status

 app\models\issue.rb          -> Change in line # 48

validates_presence_of :subject, :description, :priority, :category, :project, :tracker, :author, :status
#5 - 2009-04-17 21:10 - Nanda P

Nanda Palaniswamy wrote:

appviewsissues_form.rhtml -> Change in line # 27

[...]

appmodelsissue.rb          -> Change in line # 48

[...]

 I modified the above files to make the category as Required field.

#6 - 2009-06-04 18:57 - Paul Voelker

I think giving the option to require the category field would be fantastic.  This would be great for those who make use of the auto-assignment

functionality of categories.

#7 - 2009-06-30 16:51 - Brandon Dixon

- File _form.rhtml added

I am running the latest version (0.8.4) and it looks like some things were changed.

This works:

app\models\issue.rb -> Change in line # 48

validates_presence_of :subject, :description, :priority, :category, :project, :tracker, :author, :status

 The first mod to the form on the other hand does not work. It now looks like this:

app\views\issues\_form.rhtml -> Change in line # 28

<p><%= f.select :category_id, (@project.issue_categories.collect {|c| [c.name, c.id]}), :include_blank => true

, :required => true %>

#8 - 2009-12-08 04:59 - Nanda P

Brandon,

The patch is not working with trunk version (Redmine 0.8.7.devel.3131)

When you get a chance could you please have a look?

Thanks in Advance

Nanda

#9 - 2010-01-27 19:11 - Nanda P

Any update on this?

#10 - 2010-06-30 20:25 - Jeremy Walker

+1

#11 - 2010-07-28 17:11 - Chad S

I have a fix for this guys that works with 1.0.x (which i assume would work with 0.9.x, but i have not tested it.)

Follow it as you normally would with one exception...

The edit to this file....:

app/views/issues/_form.rhtml

should instead be done to this file:

app/views/issues/_attributes.rhtml

I have this working after upgrading from 0.8.x to 1.0.x.  Reply here if you need help getting this working.

#12 - 2010-09-23 11:27 - Patrick Sherman

+1

Chad, how did you do?
#13 - 2010-10-19 19:04 - Anonymous

How about extending required yes/no to all fields in an issue?

Some of them are already required on system level.

Given the fact that you can set required yes/no on custom fields, this seems like a logical step.

#14 - 2010-10-19 21:54 - Terence Mill

Even better would be setting required fields dependent on the status for the ticket. This way someone can better design details of the workflow..

#15 - 2011-09-02 20:20 - Nathanael Hansen

+1

#16 - 2011-09-20 14:11 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #703.

Files

_form.rhtml 3.11 KB 2009-04-17 Nanda P

issue.rb 11.5 KB 2009-04-17 Nanda P

_form.rhtml 3.16 KB 2009-06-30 Brandon Dixon
